gstreamermm: Gst::TextRender Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::TextRender Class Reference
gstreamermm Plugins

A Wrapper for the textrender plugin. More...

Inheritance diagram for Gst::TextRender:
[legend]
Collaboration diagram for Gst::TextRender:
[legend]

List of all members.

## Public Member Functions
virtual | ~TextRender ()
GstTextRender* | gobj ()
| Provides access to the underlying C GObject.
const GstTextRender* | gobj () const
| Provides access to the underlying C GObject.
GstTextRender* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Gst::TextRenderHAlign > | property_halignment ()
| Horizontal alignment of the text.
Glib::PropertyProxy_ReadOnly < Gst::TextRenderHAlign > | property_halignment () const
| Horizontal alignment of the text.
Glib::PropertyProxy < Gst::TextRenderVAlign > | property_valignment ()
| Vertical alignment of the text.
Glib::PropertyProxy_ReadOnly < Gst::TextRenderVAlign > | property_valignment () const
| Vertical alignment of the text.
Glib::PropertyProxy < Gst::TextRenderLineAlign > | property_line_alignment ()
| Alignment of text lines relative to each other.
Glib::PropertyProxy_ReadOnly < Gst::TextRenderLineAlign > | property_line_alignment () const
| Alignment of text lines relative to each other.
Glib::PropertyProxy< int > | property_xpad ()
| Horizontal paddding when using left/right alignment.
Glib::PropertyProxy_ReadOnly< int > | property_xpad () const
| Horizontal paddding when using left/right alignment.
Glib::PropertyProxy< int > | property_ypad ()
| Vertical padding when using top/bottom alignment.
Glib::PropertyProxy_ReadOnly< int > | property_ypad () const
| Vertical padding when using top/bottom alignment.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_font_desc ()
| Pango font description of font to be used for rendering.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< TextRender > | create ()
| Creates a new textrender plugin with a unique name.
static Glib::RefPtr< TextRender > | create (const Glib::ustring& name)
| Creates a new textrender plugin with the given name.
## Protected Member Functions
| TextRender ()
| TextRender (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::TextRender > | wrap (GstTextRender* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the textrender plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::TextRender::~TextRender | ( |  | ) | `[virtual]`

Gst::TextRender::TextRender | ( |  | ) | `[protected]`

Gst::TextRender::TextRender | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<TextRender> Gst::TextRender::create | ( |  | ) | `[static]`

Creates a new textrender plugin with a unique name.

static Glib::RefPtr<TextRender> Gst::TextRender::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new textrender plugin with the given name.

static GType Gst::TextRender::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Element.

GstTextRender* Gst::TextRender::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstTextRender* Gst::TextRender::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstTextRender* Gst::TextRender::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gst::TextRender::property_font_desc | ( |  | ) |

Pango font description of font to be used for rendering.

See documentation of pango_font_description_from_string for syntax.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TextRenderHAlign > Gst::TextRender::property_halignment | ( |  | ) |

Horizontal alignment of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TextRenderHAlign > Gst::TextRender::property_halignment | ( |  | ) | const

Horizontal alignment of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TextRenderLineAlign > Gst::TextRender::property_line_alignment | ( |  | ) |

Alignment of text lines relative to each other.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TextRenderLineAlign > Gst::TextRender::property_line_alignment | ( |  | ) | const

Alignment of text lines relative to each other.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::TextRenderVAlign > Gst::TextRender::property_valignment | ( |  | ) |

Vertical alignment of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::TextRenderVAlign > Gst::TextRender::property_valignment | ( |  | ) | const

Vertical alignment of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::TextRender::property_xpad | ( |  | ) |

Horizontal paddding when using left/right alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::TextRender::property_xpad | ( |  | ) | const

Horizontal paddding when using left/right alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::TextRender::property_ypad | ( |  | ) |

Vertical padding when using top/bottom alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::TextRender::property_ypad | ( |  | ) | const

Vertical padding when using top/bottom alignment.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TextRender > wrap | ( | GstTextRender * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/textrender.h